Перейти до вмісту
AstroWay/api v2.130.2 · docs
усі системи в нормі

RWS — Cards by Keyword

GET
/tarot/rider-waite/keywords/{keyword}
request.sh
curl -X GET https://api.astroway.info/v1/tarot/rider-waite/keywords/{keyword} \
-H "X-Api-Key: aw_live_..." \
-H "Content-Type: application/json"

Substring search across upright and reversed keywords across all 78 cards.

keyword required
string

Keyword to match. Substring match across both upright and reversed keywords.

Example
change

Successful calculation

Media type application/json
object
ok
boolean
data
object
Example
{
"ok": true
}

Validation error

Media type application/json
Example
{
"ok": false,
"error": {
"code": "INVALID_INPUT",
"message": "Validation failed: date: Date must be YYYY-MM-DD",
"details": [
{
"path": "date",
"message": "Date must be YYYY-MM-DD"
}
]
}
}

Missing or invalid API key

Media type application/json
Example
{
"ok": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key"
}
}
Корисно?